Product Repository APIProduct File
Get local product file
Security groups:Local Product Readers
Get a local product file.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
shopId*integer
The shop ID.
Format
int64Range
1 <= valueQuery Parameters
productId*string
The ID of the product.
Length
length <= 65fileId*string
The ID of the file.
Format
UUIDResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/shops/5632/products/local/files?productId=ProductId1&fileId=3fa85f64-5717-4562-b3fc-2c963f66afa6""string"{
"code": "BadRequest",
"message": "Bad request.",
"status": "BAD_REQUEST"
}{
"code": "Unauthorized",
"message": "Not authorized.",
"status": "UNAUTHORIZED"
}{
"code": "Forbidden",
"message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
"status": "FORBIDDEN"
}{
"code": "NotFound",
"message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
"status": "NOT_FOUND"
}